<?php

namespace App\Livewire;

use Livewire\Component;

class UpdateLogs extends Component
{
    public $updateLogs = [];

    public function mount()
    {
        $this->loadUpdateLogs();  
    }

    public function loadUpdateLogs()
    {
        $this->updateLogs = collect(json_decode(file_get_contents(storage_path('app/update-logs.json')), true));
    }

    public function render()
    {
        return view('livewire.fuel-price-update.update-logs', [
            'updateLogs' => $this->updateLogs, 
        ]);
    }
}
